Imports System.ServiceModel
Imports Telerik.OpenAccess


' NOTE: If you change the interface name "IService1" here, you must also update the reference to "IService1" in App.config.
<ServiceContract()> _
Public Interface IService1
    <OperationContract()> _
    Function GetContactGroups() As ObjectContainer.ChangeSet

    <OperationContract()> _
    Function GetContacts() As ObjectContainer.ChangeSet

    <OperationContract(), FaultContract(GetType(ContactFault))> _
    Function SaveContacts(ByVal changeSet As ObjectContainer.ChangeSet) _
    As ObjectContainer.ChangeSet
End Interface


